open Util
open Ltac_plugin

DECLARE PLUGIN "ltac_instance_plugin"

open Stdarg

let instances = ref []

TACTIC EXTEND EXISTING_INSTANCE
 | [ "dinstance" ident(r)] -> 
  [
    begin
     let ident = (Libnames.Ident (None, r)) in
     instances := ident :: !instances ;
     Classes.existing_instance true ident None;
     Tacticals.New.tclIDTAC
    end
    ]
END

VERNAC COMMAND EXTEND REFRESH CLASSIFIED AS SIDEFF
 | [ "Einstance" ] -> 
  [
    begin
     List.iter (fun ident -> Classes.existing_instance true ident None) !instances ;
     instances := [];
    end
    ]
END
